Lintian ReportsBETA

W undeclared-elf-prerequisites

The installation package contains an ELF executable or object file with dynamic references but does not declare any package prerequisites. The Depends field in the installation control file is empty.

This usually happens when Depends field in the source control file does not mention ${shlibs:Depends} or, when not using the dh sequencer, there is no call to dpkg-shlibdeps in debian/rules.

The tag is present in Lintian version 2.114.162. That is the most recent version we know about.

We use semantic versions. The patch number is a commit step indicator relative to the 2.111.0 release tag in our Git repository.

You can find the detection logic for this version at commit ce6249d. For merge requests, please use the latest version in the Lintian check binaries/prerequisites.

Visibility: warning

Renamed from:
  • missing-depends-line

The following 14 source packages in the archive triggered the tag 694 times (in any Lintian version).

We found 653 overrides. The tag performed 6% of the time.